<?php
namespace Neklo\Scheduler\Controller\Adminhtml\Index;

use Neklo\Scheduler\Controller\Adminhtml;

class Index extends Adminhtml\Action
{

    /**
     * Redirect url
     */
    const REDIRECT_URL = '*/*/';

    protected function _initAction($resultPage) {
        parent::_initAction($resultPage);
        $resultPage->setActiveMenu('Neklo_Scheduler::view');
    }

    public function execute()
    {
        $resultPage = $this->resultPageFactory->create();
        $this->_initAction($resultPage);
        $resultPage->addBreadcrumb(
            __('Manage Cron Schedule'),
            __('Manage Cron Schedule'));
        $resultPage->getConfig()->getTitle()->prepend(__('Cron Scheduler'));
        return $resultPage;
    }
}
